--- arts++-1.1.a13/apps/artsagg/Makefile.in.orig	2008-08-30 16:41:00.000000000 +0200
+++ arts++-1.1.a13/apps/artsagg/Makefile.in	2008-08-30 16:50:18.000000000 +0200
@@ -30,8 +30,8 @@
 	${CXX} ${CXXFLAGS} ${ARTSCLASSINC} -c artsagg.cc
 
 install:: strip
-	${LIBTOOL} ../../install-sh -c -m 555 artsagg @bindir@/artsagg
-	../../install-sh -c -m 444 artsagg.man @mandir@/manl/artsagg.l
+	${LIBTOOL} ../../install-sh -c -m 555 artsagg ${DESTDIR}@bindir@/artsagg
+	../../install-sh -c -m 444 artsagg.man ${DESTDIR}@mandir@/manl/artsagg.l
 
 tarball::
 	@TAR@ -rvf ../../@PKG_VERSION@_@OSNAME@.tar @bindir@/artsagg
--- arts++-1.1.a13/apps/artsasagg/Makefile.in.orig	2008-08-30 16:41:00.000000000 +0200
+++ arts++-1.1.a13/apps/artsasagg/Makefile.in	2008-08-30 16:50:32.000000000 +0200
@@ -30,8 +30,8 @@
 	${CXX} ${CXXFLAGS} ${ARTSCLASSINC} -c artsasagg.cc
 
 install: strip
-	${LIBTOOL} ../../install-sh -c -m 555 artsasagg @bindir@/artsasagg
-	../../install-sh -c -m 444 artsasagg.man @mandir@/manl/artsasagg.l
+	${LIBTOOL} ../../install-sh -c -m 555 artsasagg ${DESTDIR}@bindir@/artsasagg
+	../../install-sh -c -m 444 artsasagg.man ${DESTDIR}@mandir@/manl/artsasagg.l
 
 tarball::
 	@TAR@ -rvf ../../@PKG_VERSION@_@OSNAME@.tar @bindir@/artsasagg
--- arts++-1.1.a13/apps/artsases/Makefile.in.orig	2008-08-30 16:41:00.000000000 +0200
+++ arts++-1.1.a13/apps/artsases/Makefile.in	2008-08-30 16:50:44.000000000 +0200
@@ -25,8 +25,8 @@
 	${CXX} ${CXXFLAGS} ${ARTSCLASSINC} -I. -c artsases.cc
 
 install:: strip
-	${LIBTOOL} ../../install-sh -c -m 555 artsases @bindir@/artsases
-	../../install-sh -c -m 444 artsases.man @mandir@/manl/artsases.l
+	${LIBTOOL} ../../install-sh -c -m 555 artsases ${DESTDIR}@bindir@/artsases
+	../../install-sh -c -m 444 artsases.man ${DESTDIR}@mandir@/manl/artsases.l
 
 tarball::
 	@TAR@ -rvf ../../@PKG_VERSION@_@OSNAME@.tar @bindir@/artsases
--- arts++-1.1.a13/apps/artsdump/Makefile.in.orig	2008-08-30 16:41:00.000000000 +0200
+++ arts++-1.1.a13/apps/artsdump/Makefile.in	2008-08-30 16:50:54.000000000 +0200
@@ -30,8 +30,8 @@
 	${CXX} ${CXXFLAGS} ${ARTSCLASSINC} -c artsdump.cc
 
 install:: strip
-	${LIBTOOL} ../../install-sh -c -m 555 artsdump @bindir@/artsdump
-	../../install-sh -c -m 444 artsdump.man @mandir@/manl/artsdump.l
+	${LIBTOOL} ../../install-sh -c -m 555 artsdump ${DESTDIR}@bindir@/artsdump
+	../../install-sh -c -m 444 artsdump.man ${DESTDIR}@mandir@/manl/artsdump.l
 
 tarball::
 	@TAR@ -rvf ../../@PKG_VERSION@_@OSNAME@.tar @bindir@/artsdump
--- arts++-1.1.a13/apps/artsintfmagg/Makefile.in.orig	2008-08-30 16:41:00.000000000 +0200
+++ arts++-1.1.a13/apps/artsintfmagg/Makefile.in	2008-08-30 16:51:05.000000000 +0200
@@ -30,8 +30,8 @@
 	${CXX} ${CXXFLAGS} ${ARTSCLASSINC} -c artsintfmagg.cc
 
 install:: strip
-	${LIBTOOL} ../../install-sh -c -m 555 artsintfmagg @bindir@/artsintfmagg
-	../../install-sh -c -m 444 artsintfmagg.man @mandir@/manl/artsintfmagg.l
+	${LIBTOOL} ../../install-sh -c -m 555 artsintfmagg ${DESTDIR}@bindir@/artsintfmagg
+	../../install-sh -c -m 444 artsintfmagg.man ${DESTDIR}@mandir@/manl/artsintfmagg.l
 
 tarball::
 	@TAR@ -rvf ../../@PKG_VERSION@_@OSNAME@.tar @bindir@/artsintfmagg
--- arts++-1.1.a13/apps/artsintfms/Makefile.in.orig	2008-08-30 16:41:00.000000000 +0200
+++ arts++-1.1.a13/apps/artsintfms/Makefile.in	2008-08-30 16:51:18.000000000 +0200
@@ -25,8 +25,8 @@
 	${CXX} ${CXXFLAGS} ${ARTSCLASSINC} -c artsintfms.cc
 
 install:: strip
-	${LIBTOOL} ../../install-sh -c -m 555 artsintfms @bindir@/artsintfms
-	../../install-sh -c -m 444 artsintfms.man @mandir@/manl/artsintfms.l
+	${LIBTOOL} ../../install-sh -c -m 555 artsintfms ${DESTDIR}@bindir@/artsintfms
+	../../install-sh -c -m 444 artsintfms.man ${DESTDIR}@mandir@/manl/artsintfms.l
 
 tarball::
 	@TAR@ -rvf ../../@PKG_VERSION@_@OSNAME@.tar @bindir@/artsintfms
--- arts++-1.1.a13/apps/artsnetagg/Makefile.in.orig	2008-08-30 16:41:00.000000000 +0200
+++ arts++-1.1.a13/apps/artsnetagg/Makefile.in	2008-08-30 16:51:29.000000000 +0200
@@ -30,8 +30,8 @@
 	${CXX} ${CXXFLAGS} ${ARTSCLASSINC} -c artsnetagg.cc
 
 install:: strip
-	${LIBTOOL} ../../install-sh -c -m 555 artsnetagg @bindir@/artsnetagg
-	../../install-sh -c -m 444 artsnetagg.man @mandir@/manl/artsnetagg.l
+	${LIBTOOL} ../../install-sh -c -m 555 artsnetagg ${DESTDIR}@bindir@/artsnetagg
+	../../install-sh -c -m 444 artsnetagg.man ${DESTDIR}@mandir@/manl/artsnetagg.l
 
 tarball::
 	@TAR@ -uvf ../../@PKG_VERSION@_@OSNAME@.tar @bindir@/artsnetagg
--- arts++-1.1.a13/apps/artsnets/Makefile.in.orig	2008-08-30 16:41:00.000000000 +0200
+++ arts++-1.1.a13/apps/artsnets/Makefile.in	2008-08-30 16:51:40.000000000 +0200
@@ -30,8 +30,8 @@
 	${CXX} ${CXXFLAGS} ${ARTSCLASSINC} -c artsnets.cc
 
 install:: strip
-	${LIBTOOL} ../../install-sh -c -m 555 artsnets @bindir@/artsnets
-	../../install-sh -c -m 444 artsnets.man @mandir@/manl/artsnets.l
+	${LIBTOOL} ../../install-sh -c -m 555 artsnets ${DESTDIR}@bindir@/artsnets
+	../../install-sh -c -m 444 artsnets.man ${DESTDIR}@mandir@/manl/artsnets.l
 
 tarball::
 	@TAR@ -rvf ../../@PKG_VERSION@_@OSNAME@.tar @bindir@/artsnets
--- arts++-1.1.a13/apps/artsnexthopagg/Makefile.in.orig	2008-08-30 16:41:00.000000000 +0200
+++ arts++-1.1.a13/apps/artsnexthopagg/Makefile.in	2008-08-30 16:51:51.000000000 +0200
@@ -26,8 +26,8 @@
 	${CXX} ${CXXFLAGS} ${ARTSCLASSINC} -c artsnexthopagg.cc
 
 install:: strip
-	${LIBTOOL} ../../install-sh -c -m 555 artsnexthopagg @bindir@/artsnexthopagg
-	../../install-sh -c -m 444 artsnexthopagg.man @mandir@/manl/artsnexthopagg.l
+	${LIBTOOL} ../../install-sh -c -m 555 artsnexthopagg ${DESTDIR}@bindir@/artsnexthopagg
+	../../install-sh -c -m 444 artsnexthopagg.man ${DESTDIR}@mandir@/manl/artsnexthopagg.l
 
 tarball::
 	@TAR@ -rvf ../../@PKG_VERSION@_@OSNAME@.tar @bindir@/artsnexthopagg
--- arts++-1.1.a13/apps/artsnexthops/Makefile.in.orig	2008-08-30 16:41:00.000000000 +0200
+++ arts++-1.1.a13/apps/artsnexthops/Makefile.in	2008-08-30 16:52:02.000000000 +0200
@@ -26,8 +26,8 @@
 	${CXX} ${CXXFLAGS} ${ARTSCLASSINC} -c artsnexthops.cc
 
 install:: strip
-	${LIBTOOL} ../../install-sh -c -m 555 artsnexthops @bindir@/artsnexthops
-	../../install-sh -c -m 444 artsnexthops.man @mandir@/manl/artsnexthops.l
+	${LIBTOOL} ../../install-sh -c -m 555 artsnexthops ${DESTDIR}@bindir@/artsnexthops
+	../../install-sh -c -m 444 artsnexthops.man ${DESTDIR}@mandir@/manl/artsnexthops.l
 
 tarball::
 	@TAR@ -rvf ../../@PKG_VERSION@_@OSNAME@.tar @bindir@/artsnexthops
--- arts++-1.1.a13/apps/artsportagg/Makefile.in.orig	2008-08-30 16:41:00.000000000 +0200
+++ arts++-1.1.a13/apps/artsportagg/Makefile.in	2008-08-30 16:52:22.000000000 +0200
@@ -30,8 +30,8 @@
 	${CXX} ${CXXFLAGS} ${ARTSCLASSINC} -c artsportagg.cc
 
 install:: strip
-	${LIBTOOL} ../../install-sh -c -m 555 artsportagg @bindir@/artsportagg
-	../../install-sh -c -m 444 artsportagg.man @mandir@/manl/artsportagg.l
+	${LIBTOOL} ../../install-sh -c -m 555 artsportagg ${DESTDIR}@bindir@/artsportagg
+	../../install-sh -c -m 444 artsportagg.man ${DESTDIR}@mandir@/manl/artsportagg.l
 
 tarball::
 	@TAR@ -rvf ../../@PKG_VERSION@_@OSNAME@.tar @bindir@/artsportagg
--- arts++-1.1.a13/apps/artsportmagg/Makefile.in.orig	2008-08-30 16:41:00.000000000 +0200
+++ arts++-1.1.a13/apps/artsportmagg/Makefile.in	2008-08-30 16:52:33.000000000 +0200
@@ -31,8 +31,8 @@
 	${CXX} ${CXXFLAGS} ${ARTSCLASSINC} -I. -c artsportmagg.cc
 
 install:: strip
-	${LIBTOOL} ../../install-sh -c -m 555 artsportmagg @bindir@/artsportmagg
-	../../install-sh -c -m 444 artsportmagg.man @mandir@/manl/artsportmagg.l
+	${LIBTOOL} ../../install-sh -c -m 555 artsportmagg ${DESTDIR}@bindir@/artsportmagg
+	../../install-sh -c -m 444 artsportmagg.man ${DESTDIR}@mandir@/manl/artsportmagg.l
 
 tarball::
 	@TAR@ -rvf ../../@PKG_VERSION@_@OSNAME@.tar @bindir@/artsportmagg
--- arts++-1.1.a13/apps/artsportms/Makefile.in.orig	2008-08-30 16:41:00.000000000 +0200
+++ arts++-1.1.a13/apps/artsportms/Makefile.in	2008-08-30 16:52:44.000000000 +0200
@@ -25,8 +25,8 @@
 	${CXX} ${CXXFLAGS} ${ARTSCLASSINC} -c artsportms.cc
 
 install:: strip
-	${LIBTOOL} ../../install-sh -c -m 555 artsportms @bindir@/artsportms
-	../../install-sh -c -m 444 artsportms.man @mandir@/manl/artsportms.l
+	${LIBTOOL} ../../install-sh -c -m 555 artsportms ${DESTDIR}@bindir@/artsportms
+	../../install-sh -c -m 444 artsportms.man ${DESTDIR}@mandir@/manl/artsportms.l
 
 
 tarball::
--- arts++-1.1.a13/apps/artsports/Makefile.in.orig	2008-08-30 16:41:00.000000000 +0200
+++ arts++-1.1.a13/apps/artsports/Makefile.in	2008-08-30 16:52:55.000000000 +0200
@@ -25,8 +25,8 @@
 	${CXX} ${CXXFLAGS} ${ARTSCLASSINC} -c artsports.cc
 
 install:: strip
-	${LIBTOOL} ../../install-sh -c -m 555 artsports @bindir@/artsports
-	../../install-sh -c -m 444 artsports.man @mandir@/manl/artsports.l
+	${LIBTOOL} ../../install-sh -c -m 555 artsports ${DESTDIR}@bindir@/artsports
+	../../install-sh -c -m 444 artsports.man ${DESTDIR}@mandir@/manl/artsports.l
 
 tarball::
 	@TAR@ -rvf ../../@PKG_VERSION@_@OSNAME@.tar @bindir@/artsports
--- arts++-1.1.a13/apps/artsprotoagg/Makefile.in.orig	2008-08-30 16:41:00.000000000 +0200
+++ arts++-1.1.a13/apps/artsprotoagg/Makefile.in	2008-08-30 16:53:07.000000000 +0200
@@ -25,8 +25,8 @@
 	${CXX} ${CXXFLAGS} ${ARTSCLASSINC} -c artsprotoagg.cc
 
 install:: strip
-	${LIBTOOL} ../../install-sh -c -m 555 artsprotoagg @bindir@/artsprotoagg
-	../../install-sh -c -m 444 artsprotoagg.man @mandir@/manl/artsprotoagg.l
+	${LIBTOOL} ../../install-sh -c -m 555 artsprotoagg ${DESTDIR}@bindir@/artsprotoagg
+	../../install-sh -c -m 444 artsprotoagg.man ${DESTDIR}@mandir@/manl/artsprotoagg.l
 
 tarball::
 	@TAR@ -rvf ../../@PKG_VERSION@_@OSNAME@.tar @bindir@/artsprotoagg
--- arts++-1.1.a13/apps/artsprotos/Makefile.in.orig	2008-08-30 16:41:00.000000000 +0200
+++ arts++-1.1.a13/apps/artsprotos/Makefile.in	2008-08-30 16:53:18.000000000 +0200
@@ -25,8 +25,8 @@
 	${CXX} ${CXXFLAGS} ${ARTSCLASSINC} -c artsprotos.cc
 
 install:: strip
-	${LIBTOOL} ../../install-sh -c -m 555 artsprotos @bindir@/artsprotos
-	../../install-sh -c -m 444 artsprotos.man @mandir@/manl/artsprotos.l
+	${LIBTOOL} ../../install-sh -c -m 555 artsprotos ${DESTDIR}@bindir@/artsprotos
+	../../install-sh -c -m 444 artsprotos.man ${DESTDIR}@mandir@/manl/artsprotos.l
 
 tarball::
 	@TAR@ -rvf ../../@PKG_VERSION@_@OSNAME@.tar @bindir@/artsprotos
--- arts++-1.1.a13/apps/artstoc/Makefile.in.orig	2008-08-30 16:41:00.000000000 +0200
+++ arts++-1.1.a13/apps/artstoc/Makefile.in	2008-08-30 16:53:29.000000000 +0200
@@ -25,8 +25,8 @@
 	${CXX} ${CXXFLAGS} ${ARTSCLASSINC} -c artstoc.cc
 
 install:: strip
-	${LIBTOOL} ../../install-sh -c -m 555 artstoc @bindir@/artstoc
-	../../install-sh -c -m 444 artstoc.man @mandir@/manl/artstoc.l
+	${LIBTOOL} ../../install-sh -c -m 555 artstoc ${DESTDIR}@bindir@/artstoc
+	../../install-sh -c -m 444 artstoc.man ${DESTDIR}@mandir@/manl/artstoc.l
 
 tarball::
 	@TAR@ -rvf ../../@PKG_VERSION@_@OSNAME@.tar @bindir@/artstoc
--- arts++-1.1.a13/apps/artstos/Makefile.in.orig	2008-08-30 16:41:00.000000000 +0200
+++ arts++-1.1.a13/apps/artstos/Makefile.in	2008-08-30 16:53:40.000000000 +0200
@@ -25,8 +25,8 @@
 	${CXX} ${CXXFLAGS} ${ARTSCLASSINC} -c artstos.cc
 
 install:: strip
-	${LIBTOOL} ../../install-sh -c -m 555 artstos @bindir@/artstos
-	../../install-sh -c -m 444 artstos.man @mandir@/manl/artstos.l
+	${LIBTOOL} ../../install-sh -c -m 555 artstos ${DESTDIR}@bindir@/artstos
+	../../install-sh -c -m 444 artstos.man ${DESTDIR}@mandir@/manl/artstos.l
 
 tarball::
 	@TAR@ -rvf ../../@PKG_VERSION@_@OSNAME@.tar @bindir@/artstos
--- arts++-1.1.a13/apps/artstrunc/Makefile.in.orig	2008-08-30 16:41:00.000000000 +0200
+++ arts++-1.1.a13/apps/artstrunc/Makefile.in	2008-08-30 16:53:51.000000000 +0200
@@ -25,8 +25,8 @@
 	${CXX} ${CXXFLAGS} ${ARTSCLASSINC} -c artstrunc.cc
 
 install:: strip
-	${LIBTOOL} ../../install-sh -c -m 555 artstrunc @bindir@/artstrunc
-	../../install-sh -c -m 444 artstrunc.man @mandir@/manl/artstrunc.l
+	${LIBTOOL} ../../install-sh -c -m 555 artstrunc ${DESTDIR}@bindir@/artstrunc
+	../../install-sh -c -m 444 artstrunc.man ${DESTDIR}@mandir@/manl/artstrunc.l
 
 tarball::
 	@TAR@ -rvf ../../@PKG_VERSION@_@OSNAME@.tar @bindir@/artstrunc
--- arts++-1.1.a13/classes/include/Makefile.in.orig	2008-08-30 16:41:00.000000000 +0200
+++ arts++-1.1.a13/classes/include/Makefile.in	2008-08-30 16:54:32.000000000 +0200
@@ -74,14 +74,14 @@
 	      caida_t.h
 
 install::
-	if [ ! -d @prefix@ ]; then \
-	  mkdir @prefix@ ; \
+	if [ ! -d ${DESTDIR}@prefix@ ]; then \
+	  mkdir ${DESTDIR}@prefix@ ; \
 	fi
-	if [ ! -d @includedir@ ]; then \
-	  mkdir @includedir@ ; \
+	if [ ! -d ${DESTDIR}@includedir@ ]; then \
+	  mkdir ${DESTDIR}@includedir@ ; \
 	fi
 	for headerfile in ${HEADERFILES}; do \
-	  ../../install-sh -c -m 444 $$headerfile @includedir@/$$headerfile ; \
+	  ../../install-sh -c -m 444 $$headerfile ${DESTDIR}@includedir@/$$headerfile ; \
 	done
 
 tarball::
--- arts++-1.1.a13/classes/src/Makefile.in.orig	2008-08-30 16:41:00.000000000 +0200
+++ arts++-1.1.a13/classes/src/Makefile.in	2008-08-30 16:54:56.000000000 +0200
@@ -133,13 +133,13 @@
 	rm -Rf .libs ../lib/.libs
 
 install: ../lib/libArts.la
-	if [ ! -d @prefix@ ]; then \
-	  mkdir @prefix@ ; \
+	if [ ! -d ${DESTDIR}@prefix@ ]; then \
+	  mkdir ${DESTDIR}@prefix@ ; \
 	fi
-	if [ ! -d @libdir@ ]; then \
-	  mkdir @libdir@ ; \
+	if [ ! -d ${DESTDIR}@libdir@ ]; then \
+	  mkdir ${DESTDIR}@libdir@ ; \
 	fi
-	@${LIBTOOL} ../../install-sh -c -m 644 ../lib/libArts.la @libdir@/libArts.la
+	@${LIBTOOL} ../../install-sh -c -m 644 ../lib/libArts.la ${DESTDIR}@libdir@/libArts.la
 
 tarball::
 	-if [ -f @libdir@/libArts.a ]; then \
--- arts++-1.1.a13/doc/Makefile.in.orig	2008-08-30 16:41:00.000000000 +0200
+++ arts++-1.1.a13/doc/Makefile.in	2008-08-30 16:58:32.000000000 +0200
@@ -14,7 +14,7 @@
 	done
 
 install: artsplusplus.ps artsplusplus.html
-	sh ./installHtml.sh
+	sh ./installHtml.sh ${DESTDIR}${HTDOCDIR}
 
 clean::
 	rm -f artsplusplus*.html artsplusplus.dvi artsplusplus.ps
--- arts++-1.1.a13/doc/installHtml.sh.in.orig	2008-08-30 16:55:32.000000000 +0200
+++ arts++-1.1.a13/doc/installHtml.sh.in	2008-08-30 16:59:21.000000000 +0200
@@ -1,6 +1,10 @@
 #!/bin/sh
 
-read -p "Path to DocumentRoot for your Web server: " htdocdir
+if [ -z "$1" ] ; then
+	read -p "Path to DocumentRoot for your Web server: " htdocdir
+else
+	htdocdir=$1
+fi
 
 if [ `echo $htdocdir | cut -c1` != '/' ]; then
   echo "Please specify a full path."
